<?php

namespace App\Models;

use App\Models\traits\Filter;

class DailyStockRecord extends Model
{
    use Filter;

    protected $hidden = ['created_at', 'updated_at'];

    protected $guarded = [];

    public $fieldSearchable = [
        'day',
    ];

    public function goodsSku()
    {
        return $this->belongsTo(GoodsSku::class, 'sku_id', 'id');
    }

}
